> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.nibtravelinsurance.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server.

# Quote configuration

GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/baseQuoteConfig

Retrieves configuration items related to a particular brand.

Reference: https://developer.nibtravelinsurance.com/reference/products-api/quote/quote-configuration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `brandCode` (enum, required) — Brand code
  - Allowed values: `nibau`, `nibnz`, `tidau`, `wn`

### Query parameters

- `quoteType` (enum, required, default: SINGLETRIP) — This parameter identifies whether the quote configuration is for a single trip (SINGLETRIP) or annual multi trip (MULTITRIP) quotes.
  - Allowed values: `SINGLETRIP`, `MULTITRIP`

## Response

### 200

Success

- `quotePanelTypeId` (long, optional, default: 0)
- `expirySeconds` (integer, optional) — Number of seconds before this quote configuration expires.
- `minTravellers` (integer, optional) — Minimum number of adult travellers supported on a policy.
- `maxTravellers` (integer, optional) — Maximum number of adult travellers supported on a policy.
- `minDependents` (integer, optional) — Minimum number of dependents supported on a policy.
- `maxDependents` (integer, optional) — Maximum number of dependents supported on a policy.
- `maxPolicyHolders` (integer, optional)
- `travelDurationConfigs` (list of TravelDurationConfig, optional) — List of configuration by home country code, defining business rules for each product offered.
- `policyHolderAgeConfigs` (list of PolicyHolderAgeConfig, optional)
- `travelRestrictionConfigs` (list of TravelRestrictionConfig, optional)
- `maxTripValuePerTraveller` (double, optional)

## Types

### TravelDurationConfig

- `homeCountryCode` (string, optional) — Home country code that this configuration represents.
- `minAdvancePurchaseDays` (integer, optional) — How many is the minimum days in advance you can set the departure date for the policy.
- `maxAdvancePurchaseDays` (integer, optional) — Maximum number of days in advance you can set the departure for the policy.
- `defaultTravelDurationDays` (integer, optional) — The default number of days you can travel as part of the policy.
- `minTravelDurationDays` (integer, optional) — Minimum number of days you can travel for as part of the policy.
- `maxTravelDurationDays` (integer, optional) — Maximum number of days you can travel for as part of the policy.
- `maxTravelDurationMonths` (integer, optional)
- `maxTripDurationDays` (integer, optional)

### PolicyHolderAgeConfig

- `homeCountryCode` (string, optional)
- `minTravellers` (integer, optional)
- `maxTravellers` (integer, optional)
- `minDependents` (integer, optional)
- `maxDependents` (integer, optional)
- `minTravellerAge` (integer, optional)
- `maxTravellerAge` (integer, optional)
- `minDependentAge` (integer, optional)
- `maxDependentAge` (integer, optional)
- `ageLimitTypeCode` (string, optional)
- `legalAgeOfConsent` (integer, optional)
- `ambiguousAgeGap` (integer, optional)
- `maxAmbiguousAge` (integer, optional)
- `maxPolicyHolders` (integer, optional)

### TravelRestrictionConfig

- `homeCountryCode` (string, optional)
- `isHandledByLegacy` (boolean, optional, default: false)
- `isProvinceRequiredForQuote` (boolean, optional, default: false) — Flags whether state/province is required to retreive a quote, for example in the USA where policy wording is varied by state.
- `domesticTravelCoverTypeCode` (string, optional)
- `noProductCountryCodes` (list of string, optional)
- `unsafeCountryCodes` (list of string, optional) — List of unsafe country codes where travelling might be restricted.
- `sanctionedCountryCodes` (list of string, optional) — List of sanctioned country codes where travel to & from is not allowed.
- `unsupportedHomeProvinceCodes` (list of string, optional)

## Examples

**Response**

```json
{
  "quotePanelTypeId": 0,
  "expirySeconds": 86400,
  "minTravellers": 1,
  "maxTravellers": 2,
  "minDependents": 0,
  "maxDependents": 8,
  "maxPolicyHolders": 1,
  "travelDurationConfigs": [
    {
      "homeCountryCode": "AUS",
      "minAdvancePurchaseDays": 0,
      "maxAdvancePurchaseDays": 364,
      "defaultTravelDurationDays": 7,
      "minTravelDurationDays": 1,
      "maxTravelDurationDays": 1,
      "maxTravelDurationMonths": 12,
      "maxTripDurationDays": 1
    },
    {
      "homeCountryCode": "USA",
      "minAdvancePurchaseDays": 0,
      "maxAdvancePurchaseDays": 365,
      "defaultTravelDurationDays": 7,
      "minTravelDurationDays": 1,
      "maxTravelDurationDays": 180,
      "maxTravelDurationMonths": 1,
      "maxTripDurationDays": 1
    },
    {
      "homeCountryCode": "GBR",
      "minAdvancePurchaseDays": 0,
      "maxAdvancePurchaseDays": 364,
      "defaultTravelDurationDays": 7,
      "minTravelDurationDays": 1,
      "maxTravelDurationDays": 366,
      "maxTravelDurationMonths": 1,
      "maxTripDurationDays": 1
    }
  ],
  "policyHolderAgeConfigs": [
    {
      "homeCountryCode": "USA",
      "minTravellers": 1,
      "maxTravellers": 2,
      "minDependents": 0,
      "maxDependents": 7,
      "minTravellerAge": 0,
      "maxTravellerAge": 69,
      "minDependentAge": 0,
      "maxDependentAge": 25,
      "ageLimitTypeCode": "AGEATQUOTE",
      "legalAgeOfConsent": 16,
      "ambiguousAgeGap": 17,
      "maxAmbiguousAge": 69,
      "maxPolicyHolders": 1
    },
    {
      "homeCountryCode": "GBR",
      "minTravellers": 1,
      "maxTravellers": 2,
      "minDependents": 0,
      "maxDependents": 8,
      "minTravellerAge": 0,
      "maxTravellerAge": 64,
      "minDependentAge": 0,
      "maxDependentAge": 20,
      "ageLimitTypeCode": "AGEATQUOTE",
      "legalAgeOfConsent": 16,
      "ambiguousAgeGap": 17,
      "maxAmbiguousAge": 64,
      "maxPolicyHolders": 1
    },
    {
      "homeCountryCode": "AUS",
      "minTravellers": 1,
      "maxTravellers": 2,
      "minDependents": 0,
      "maxDependents": 8,
      "minTravellerAge": 0,
      "maxTravellerAge": 69,
      "minDependentAge": 0,
      "maxDependentAge": 20,
      "ageLimitTypeCode": "AGEATQUOTE",
      "legalAgeOfConsent": 16,
      "ambiguousAgeGap": 17,
      "maxAmbiguousAge": 69,
      "maxPolicyHolders": 1
    }
  ],
  "travelRestrictionConfigs": [
    {
      "homeCountryCode": "AUS",
      "isHandledByLegacy": false,
      "isProvinceRequiredForQuote": false,
      "domesticTravelCoverTypeCode": "NOTCOVERED",
      "noProductCountryCodes": [
        "SJM",
        "SPC",
        "MED",
        "EUC",
        "CAR",
        "ALI",
        "AEN",
        "AIN",
        "XKX",
        "WWE",
        "WWX",
        "WWU"
      ],
      "unsafeCountryCodes": [
        "AFG",
        "AUW",
        "BDI",
        "CAF",
        "ETH",
        "IRN",
        "IRQ",
        "LBY",
        "MLI",
        "MMR",
        "NER",
        "SOM",
        "SSD",
        "SYR",
        "TCD",
        "VEN",
        "YEM"
      ],
      "sanctionedCountryCodes": [
        "BLR",
        "CUB",
        "IRN",
        "MMR",
        "PRK",
        "SYR",
        "UKR",
        "VCT",
        "VEN"
      ],
      "unsupportedHomeProvinceCodes": [
        "unsupportedHomeProvinceCodes"
      ]
    }
  ],
  "maxTripValuePerTraveller": 0
}
```

**SDK Code**

```python World Nomads (abbreviated response)
import requests

url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig"

querystring = {"quoteType":"SINGLETRIP"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript World Nomads (abbreviated response)
const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go World Nomads (abbreviated response)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby World Nomads (abbreviated response)
require 'uri'
require 'net/http'

url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java World Nomads (abbreviated response)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php World Nomads (abbreviated response)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp World Nomads (abbreviated response)
using RestSharp;

var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift World Nomads (abbreviated response)
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/baseQuoteConfig?quoteType=SINGLETRIP")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```